<?php
/**
 * api/deed/???
 */

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

// 签订契约
Route::post('/sign', 'Deed\DeedController@sign');

// 活跃的契约列表
Route::get('/ings', 'Deed\DeedController@ings');

// 不活跃的契约列表
Route::get('/succs', 'Deed\DeedController@succs');

// 查看契约信息
Route::get('/{deed_id}/get', "Deed\DeedController@show");

// 通过TUA查看契约信息
Route::post('/getbytua', "Deed\DeedController@getbytua");

// 通过TUW查看契约信息
Route::post('/getbytuw', "Deed\DeedController@getbytuw");

// 评价契约
Route::put('/{deed_id}/comment', 'Deed\CommentController@comment');


// 获取用户设置的问题
Route::get('invitation/questions', 'Deed\InvitationController@questions');

// 发起契约邀请
Route::post('/invitation/store', 'Deed\InvitationController@create');

// 查看邀请信息
Route::get('/invitation/{id}/get', "Deed\InvitationController@getbyid");

// 列表-发出的契约邀请
Route::get('/invitation/sends', 'Deed\InvitationController@sends');

// 列表-收到的契约邀请
Route::get('/invitation/receives', 'Deed\InvitationController@receives');

// 列表-全部申请
Route::get('/invitation/list', 'Deed\InvitationController@list');

// 列表-收到的待处理契约邀请
Route::get('/invitation/receivesbyunhandle', 'Deed\InvitationController@receivesByUnHandle');

// 列表-待处理契约邀请
Route::get('/invitation/unhandle', 'Deed\InvitationController@unhandle');

// 列表-全部好友
Route::get('/friends/all/list', 'Deed\FriendController@getAllList');

// 列表-相互喜欢
Route::get('/friends/eachlike/list', 'Deed\FriendController@getEachLikeList');

// 列表-星标好友
Route::get('/friends/star/list', 'Deed\FriendController@getStarList');

// 好友-预览
Route::get('/friends/overview', 'Deed\FriendController@overview');

// 好友-交互历史
Route::get('/friends/{friend_uid}/history', 'Deed\FriendController@history')->where('friend_uid', '[0-9]+');

// 同意/拒绝契约邀请
Route::put('/invitation/{invite_id}/fixstate', 'Deed\InvitationController@fixstate');

// 阅读邀请
Route::put('/invitation/{invite_id}/fixread', 'Deed\InvitationController@fixread');

// 订阅/退订 邀请通知
Route::get('/invitation/notice/subscribe', 'Deed\NoticeController@subscribe');

// 星标某个好友
Route::put('/friends/starfriend/{friend_uid}', 'Deed\FriendController@starFriend');

// 隐藏某个好友
Route::put('/friends/hidefriend/{friend_uid}', 'Deed\FriendController@hideFriend');

// 好友列表未读概览
Route::get('/friends/listcnt/overview', 'Deed\FriendController@getListCnt');


// 标签列表
Route::get('tags', 'Deed\QuestionController@tags');
// 标签下的问题模版列表
Route::get('tags/{id}/questions', 'Deed\QuestionController@tagQuestions')->where('id', '[0-9]+');
// 获取标签的领唱列表
Route::get('tags/{id}/singers', 'Deed\QuestionController@getLeadSingers')->where('id', '[0-9]+');

// 标签列表
Route::get('questions', 'Deed\QuestionController@index');
// 获取指定问题
Route::get('questions/{id}', 'Deed\QuestionController@show')->where('id', '[0-9]+');

// 获取随机一个问题
Route::get('questions/{id}/random', 'Deed\QuestionController@random')->where('id', '[0-9]+');
Route::get('questions/random', 'Deed\QuestionController@filter');

// 获取随机一批问题
Route::get('questions/random/batch', 'Deed\QuestionController@randomBatch');

// 获取指定歌曲的随机一个领唱
Route::get('questions/{template_id}/singers/random',
    'Deed\QuestionController@showSingerByTemplate')->where('template_id', '[0-9]+');
// 活动随机领唱
Route::get('singers/random', 'Deed\QuestionController@randomLeadSinger');
// 获取指定领唱
Route::get('singers/{id}', 'Deed\QuestionController@getLeadSinger');

// 标签列表
Route::get('tags', 'Deed\QuestionController@tags');

// 标签下的问题
Route::get('tags/{id}/questions', 'Deed\QuestionController@tagQuestions')->where('id', '[0-9]+');

Route::post('paint', 'Deed\PaintController@store');

Route::get('paint/{id}', 'Deed\PaintController@show')->where('id', '[0-9]+');
